Bug 458348 - Help system doesn't work
Help system doesn't work
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 14:31 EDT by Andrew Overholt
Modified: 2008-08-09 08:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-08 16:02:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2008-08-07 14:31:39 EDT
Description of problem:
No help window

Version-Release number of selected component (if applicable):
eclipse-platform-3.4.0-17.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Help->Help Contents
  
Actual results:
No help.

Expected results:
Help window.

Additional info:
Log snippet:

java.lang.NoClassDefFoundError: org/eclipse/equinox/http/jetty/JettyConfigurator
        at org.eclipse.help.internal.server.WebappManager.start(WebappManager.java:46)
        at org.eclipse.help.internal.base.BaseHelpSystem.ensureWebappRunning(BaseHelpSystem.java:187)
        at org.eclipse.help.internal.base.HelpDisplay.displayHelpURL(HelpDisplay.java:145)
        at org.eclipse.help.internal.base.HelpDisplay.displayHelp(HelpDisplay.java:39)
        at org.eclipse.help.ui.internal.DefaultHelpUI.displayHelp(DefaultHelpUI.java:127)
        at org.eclipse.ui.internal.help.WorkbenchHelpSystem.displayHelp(WorkbenchHelpSystem.java:833)
        at org.eclipse.ui.internal.actions.HelpContentsAction$1.run(HelpContentsAction.java:83)
Comment 1 Andrew Overholt 2008-08-08 16:02:34 EDT
I can no longer duplicate this.
Comment 2 Alphonse Van Assche 2008-08-09 08:34:16 EDT
not be able to reproduce it here, seem to be fixed.

Note You need to log in before you can comment on or make changes to this bug.